-- ========================================================================== --
-- SISTEMA         : COMISSARIA                                               --
-- DATA DA CRIAO : 14/07/2004  20:37                                        --
-- PROGRAMADOR     : Leonardo Monteiro                                        --
-- DESCRIO       : Retorna a data de decolagem do vo ao passar a data de   --
--                   incio de produo do servio ou do vo.                 --
-- ========================================================================== --
-- @C:\WIN_V4\SQL\END_CONV\ORACLE\2930_MACFUNO_Retorna_HrDecolVoo.SQL
-- ========================================================================== --
CREATE OR REPLACE FUNCTION HORA_PRODVOO(
P_MASCHORA    IN VARCHAR2,                    -- Mscara da hora de incio da produo do vo (Ex: 'HH24:MI').
P_HRDECOLVOO  IN VOOTRECHO .HRDECOLVOO %TYPE, -- Hora da decolagem da aeronave (Varchar2).
P_QTHRPREPVOO IN VOOTRECHO .QTHRPREPVOO%TYPE, -- Quantidade de horas para preparar o vo (Float).
P_QTHRKDTCAR  IN VOO       .QTHRKDTCAR %TYPE, -- Quantidade de horas do KDT (Varchar2).
P_NRHRHOLDBOX IN PARAMGERAL.NRHRHOLDBOX%TYPE  -- Quantidade de horas do Holding Box (Varchar2).
) RETURN VARCHAR2
AS
V_HRPRODVOO VARCHAR2(10);
BEGIN
   V_HRPRODVOO := TO_CHAR(((TRUNC(SYSDATE)+((TO_NUMBER(SUBSTR(P_HRDECOLVOO,1,2))+(TO_NUMBER(SUBSTR(P_HRDECOLVOO,3,2))/60))/24))-
                           ((NVL(P_QTHRPREPVOO,0)+
                             NVL(TO_NUMBER(SUBSTR(P_QTHRKDTCAR ,1,2))+(TO_NUMBER(SUBSTR(P_QTHRKDTCAR ,3,2))/60),0)+
                             NVL(TO_NUMBER(SUBSTR(P_NRHRHOLDBOX,1,2))+(TO_NUMBER(SUBSTR(P_NRHRHOLDBOX,3,2))/60),0))/24)),P_MASCHORA);
   RETURN(V_HRPRODVOO);
END;
/

