/******************************************************************************/
/* SITE - Sistemas Integrados TECNISA                                         */
/******************************************************************************/
/* Nome:       8695_VMNSTP_Calc_Media_Prev                                    */
/* Descrio:  Calcula a media da previso de consumo                        */
/* Criao:    20/01/2003 - Renata Diniz Viana                                */
/******************************************************************************/
/* EXEC GERA_MAPA ('9999','0000000113','01/04/2002','01/05/2002', '','','','','T','T','T','T', :V_CDITMAPABAS) */
/* raise_application_error(-20501, '' , True);                                */
/* @C:\Win_Prj\Sql\End_Conv\Oracle\8650_VMNSTP_Calc_Media_Prev.SQL            */
/******************************************************************************/
CREATE OR REPLACE PROCEDURE CALC_MEDIA_PREV
   (
    P_CDFILIAL     IN MAPABASEV.CDFILIAL%TYPE    , 
    P_CDPRODUTO    IN ITEMAPABASEV.CDPRODUTO%TYPE,
    P_VRMEDIA      OUT NUMBER
    )
IS
   V_MEDIA  NUMBER;

BEGIN

   SELECT
      NVL(AVG(IT.QTPRODVENDA),0)
   INTO V_MEDIA
   FROM
      VENDAVMN VE, ITVENDAVMN IT
   WHERE
      (VE.CDFILIAL  = P_CDFILIAL ) AND
      (IT.CDPRODUTO = P_CDPRODUTO) AND
      (VE.CDFILIAL  = IT.CDFILIAL) AND
      (VE.NRVENDA   = IT.NRVENDA ) AND
      (DTVENDAVMN  BETWEEN SYSDATE - 100 AND SYSDATE);

   P_VRMEDIA := V_MEDIA;
END;
/
